Page MenuHomePhabricator

Document use of Owners in Phabricator and advertise it
Closed, ResolvedPublic

Description

This was mentioned as one item in the Developer Summit session T114419 and hence is a subtask of T101686 and T119908.

From T114419:

[twentyafterfour] Obvious to me: Move to Phabricator. Phab has Owners tool. Call to action: Set up an owners package for stuff you care about.

Task: Document the Owners tool in Phabricator (or link to sufficient documentation) on https://www.mediawiki.org/wiki/Phabricator/Differential and once done, advertise using it.
Owners allows assigning reviewers based on file ownership so reviewers get notified of patches in their areas of interest. (Limited equivalent in Gerrit).

Intention: This might help improving the situation described in https://www.mediawiki.org/wiki/User:AKlapper_%28WMF%29/Code_Review#Workload_of_existing_reviewers

Related Objects

Event Timeline

Aklapper created this task.Feb 29 2016, 1:23 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 29 2016, 1:23 PM

I added a preamble to the package form which briefly describes how owners packages work:

https://phabricator.wikimedia.org/owners/edit/form/15/

Also, upstream has documentation here

greg added a project: Gerrit-Migration.
greg triaged this task as Normal priority.
greg moved this task from To Triage to Tooling on the Gerrit-Migration board.
greg moved this task from Tooling to Documentation on the Gerrit-Migration board.Mar 15 2016, 10:59 PM
greg added a subscriber: greg.Apr 1 2016, 9:34 PM

One example use of the Owners application is catching commits that weren't reviewed in Differential pre-merge (aka "cowboy commits") thus bypassing both review and server side testing.

Here's an example caught by audit: rMSCAfce251eac0ab470b1847b0dd0e47221783aedae3

How? The package owners tool combined with herald rules allows commits "without associated differential revisions" to automatically trigger an audit by the right people.

mmodell claimed this task.Apr 15 2016, 11:22 PM
Danny_B moved this task from Backlog to Phabricator on the Documentation board.May 6 2016, 10:20 PM
greg moved this task from To Triage to Backlog on the Differential board.May 12 2016, 10:37 PM

FYI I've created a stub section about "Owners" on https://www.mediawiki.org/wiki/Phabricator/Differential

@Aklapper: I've expanded it just a bit to mention audit and provide a link to the "create package" form. I think we are in pretty good shape now. The There is a brief overview on wiki and what I wrote for the form preamble, plus fairly good upstream docs.

Maybe I should write a phabricator blog post to raise awareness?

I've expanded it just a bit to mention audit and provide a link to the "create package" form.

I like! (Also linked those docs from mw:Gerrit/Code review now, to cross-pollute our CR docs.)

Danny_B added a subscriber: Danny_B.Aug 9 2016, 2:38 PM

Should we mark this as resolved or should we make some attempt to further promote the use of owners?

greg closed this task as Resolved.Aug 10 2016, 4:52 PM

I think we're done for now, honestly. Thanks Andre and Mukunda!

Qgil awarded a token.Aug 12 2016, 9:30 AM